GNU bug report logs - #37257
failure of emacsclient ... --alternate-editor="emacs --eval"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Campbell Barton <ideasman42@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 37257 <at> debbugs.gnu.org and Campbell Barton <ideasman42@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37257 <at> debbugs.gnu.org:


Received: (at 37257) by debbugs.gnu.org; 16 Sep 2019 12:33:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 08:33:57 2019
Received: from localhost ([127.0.0.1]:49357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9qCa-0008Nw-OF
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 08:33:56 -0400
Received: from quimby.gnus.org ([80.91.231.51]:57470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i9qCZ-0008Np-JG
 for 37257 <at> debbugs.gnu.org; Mon, 16 Sep 2019 08:33:55 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i9qCW-0000Lz-CB; Mon, 16 Sep 2019 14:33:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Cambell Barton <ideasman42@HIDDEN>
Subject: Re: bug#37257: failure of emacsclient ... --alternate-editor="emacs
 --eval"
References: <CAEcf3Nz+bG44sbtTWZ1ZfxyqX+GzjyAsLYzyQzWij+_JuZ157Q@HIDDEN>
 <42d7bbd5-cde9-e4ca-07f2-486eaff18dbc@HIDDEN>
 <87impv845y.fsf@HIDDEN>
 <7de06494-7d7f-26b4-f7e7-b061d80241e5@HIDDEN>
 <87ftky62hy.fsf@HIDDEN>
 <bdf01ce8-669b-7026-3cf7-b03772b3d6c0@HIDDEN>
 <87zhj5ycy6.fsf@HIDDEN>
 <8f6d9ce5-c6c0-cae6-c546-096d2f0daa5d@HIDDEN>
Date: Mon, 16 Sep 2019 14:33:51 +0200
In-Reply-To: <8f6d9ce5-c6c0-cae6-c546-096d2f0daa5d@HIDDEN> (Cambell
 Barton's message of "Mon, 16 Sep 2019 03:52:30 +1000")
Message-ID: <871rwgv2s0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Cambell Barton <ideasman42@HIDDEN> writes: >> Checked
 6d3cb263f941545c09acb7fb86b8336ad130aa8e, 
 this is working now. Thanks for checking; closing this bug report. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37257
Cc: 37257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Cambell Barton <ideasman42@HIDDEN> writes:

>> Checked 6d3cb263f941545c09acb7fb86b8336ad130aa8e, this is working now.

Thanks for checking; closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37257; Package emacs. Full text available.

Message received at 37257 <at> debbugs.gnu.org:


Received: (at 37257) by debbugs.gnu.org; 15 Sep 2019 17:52:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 13:52:42 2019
Received: from localhost ([127.0.0.1]:48698 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9YhV-00088T-Pz
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2019 13:52:42 -0400
Received: from mail-pg1-f181.google.com ([209.85.215.181]:42400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ideasman42@HIDDEN>) id 1i9YhU-00088I-LT
 for 37257 <at> debbugs.gnu.org; Sun, 15 Sep 2019 13:52:41 -0400
Received: by mail-pg1-f181.google.com with SMTP id z12so6570557pgp.9
 for <37257 <at> debbugs.gnu.org>; Sun, 15 Sep 2019 10:52:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:cc:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=CXbXEdqWNruhB2EbCtvrbJ0Kvd+YfyAGCSh1RcV3vJk=;
 b=BLyG/FqBRkBDPbWbx8VvWoRmMFflmMdkVhn8yK3bykxedyxpJm5JLL2Q/x8kAyErVe
 erM6PZ0O3Hith4IRPBIzPVRdvBDOPRdFr5sGun/x1A/a1eko1Ep6vW+EqVAQjd2vAaId
 /vO9vzbooKCDx36XdnQNEresPOfVfNtQcs7qDRcZeIUOZxX/R5GVFka+QOCjIwxJvvIn
 D0hRxyA4hmOZB1ZHqE72ooCg9keUBOIKkJeDIzFN320nlMlgQ9wJg0Rkrr9OyaEyr+xH
 dPjzdbdeK1I8HDjXvBzoDd+mgn1SN4iQJ7mm+2jCi4MA19SPzJANw+GD9FkypwCsg/lI
 gTNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=CXbXEdqWNruhB2EbCtvrbJ0Kvd+YfyAGCSh1RcV3vJk=;
 b=F28wl/Gw/sMghv1WuE1wmXtvnUTcUEDyBnO5so0gPNS9dw7qyS/pZPpLoAnoTBUR8S
 j9lVMEYwiZ4hT2KUp0Tu35r67OH5qiIgszVaG1/kizp3IfPvIluLmcsxwHTBqvG7L1/8
 IVvVHYfmTEqyUrWUdGLxDNn6gdaq98Hy7djIJ5XQkj7vDtbtuYNbQngYucJLFtF/dhtN
 F+fYKQhmoFc64z3gB9DgiPJAb0WBWzgSouTX5emq+Qwc4sSspb9Ry9L3MyAwoO05BAhr
 L0aFu3IjJQYkRex68741Nolp7nZIH5qlYOW2zvFg0kf03cMOt/L1sLGiWIM6XsL3L49F
 ti+Q==
X-Gm-Message-State: APjAAAW+8brRvFGQ6GTB5KT+BRHPJZXvaXX4jligL6gF8MvM5FkK2lu8
 4T7exwp69tdcWt4CcI8PsW3zbrMCSUM=
X-Google-Smtp-Source: APXvYqypbiyy/8BhmfYIezgcAWZjeOxt/9lcJ4sfV8KARjcb718lQcZhBNhh88ZiCbODWERPNg/J5w==
X-Received: by 2002:a17:90a:f83:: with SMTP id 3mr16560894pjz.90.1568569954388; 
 Sun, 15 Sep 2019 10:52:34 -0700 (PDT)
Received: from [10.1.1.180] (ppp118-209-104-247.bras1.mel11.internode.on.net.
 [118.209.104.247])
 by smtp.gmail.com with ESMTPSA id u17sm9462142pgf.8.2019.09.15.10.52.32
 for <37257 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 15 Sep 2019 10:52:33 -0700 (PDT)
Subject: Re: bug#37257: failure of emacsclient ... --alternate-editor="emacs
 --eval"
References: <CAEcf3Nz+bG44sbtTWZ1ZfxyqX+GzjyAsLYzyQzWij+_JuZ157Q@HIDDEN>
 <42d7bbd5-cde9-e4ca-07f2-486eaff18dbc@HIDDEN> <87impv845y.fsf@HIDDEN>
 <7de06494-7d7f-26b4-f7e7-b061d80241e5@HIDDEN> <87ftky62hy.fsf@HIDDEN>
 <bdf01ce8-669b-7026-3cf7-b03772b3d6c0@HIDDEN> <87zhj5ycy6.fsf@HIDDEN>
From: Cambell Barton <ideasman42@HIDDEN>
Message-ID: <8f6d9ce5-c6c0-cae6-c546-096d2f0daa5d@HIDDEN>
Date: Mon, 16 Sep 2019 03:52:30 +1000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.1.0
MIME-Version: 1.0
In-Reply-To: <87zhj5ycy6.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2019-09-15 22:13,
 Lars Ingebrigtsen wrote: > Cambell Barton
 writes: > >> I'm not sure what the best solution is here, it's just I had
 something >> that worked and now I can't get emacs27 to work [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (ideasman42[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (ideasman42[at]gmail.com)
 1.2 MISSING_HEADERS        Missing To: header
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.181 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.181 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 37257
Cc: 37257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

On 2019-09-15 22:13, Lars Ingebrigtsen wrote:
> Cambell Barton <ideasman42@HIDDEN> writes:
> 
>> I'm not sure what the best solution is here, it's just I had something
>> that worked and now I can't get emacs27 to work usefully in the same
>> way.
> 
> Yes, we'll fix it so that the regression you're seeing goes away, but
> we're just discussing whether it's possible to do so without reverting
> the change that fixed another bug.
> 
> I think it's unlikely that it's possible, so I've reverted the change,
> which should make things work again for you.  Can you check?
> Checked 6d3cb263f941545c09acb7fb86b8336ad130aa8e, this is working now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37257; Package emacs. Full text available.

Message received at 37257 <at> debbugs.gnu.org:


Received: (at 37257) by debbugs.gnu.org; 15 Sep 2019 12:13:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 08:13:42 2019
Received: from localhost ([127.0.0.1]:47411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9TPS-0007TE-Kh
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2019 08:13:42 -0400
Received: from quimby.gnus.org ([80.91.231.51]:60302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i9TPR-0007T6-7y
 for 37257 <at> debbugs.gnu.org; Sun, 15 Sep 2019 08:13:41 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i9TPO-00082s-1I; Sun, 15 Sep 2019 14:13:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Cambell Barton <ideasman42@HIDDEN>
Subject: Re: bug#37257: failure of emacsclient ... --alternate-editor="emacs
 --eval"
References: <CAEcf3Nz+bG44sbtTWZ1ZfxyqX+GzjyAsLYzyQzWij+_JuZ157Q@HIDDEN>
 <42d7bbd5-cde9-e4ca-07f2-486eaff18dbc@HIDDEN>
 <87impv845y.fsf@HIDDEN>
 <7de06494-7d7f-26b4-f7e7-b061d80241e5@HIDDEN>
 <87ftky62hy.fsf@HIDDEN>
 <bdf01ce8-669b-7026-3cf7-b03772b3d6c0@HIDDEN>
Date: Sun, 15 Sep 2019 14:13:37 +0200
In-Reply-To: <bdf01ce8-669b-7026-3cf7-b03772b3d6c0@HIDDEN> (Cambell
 Barton's message of "Sun, 15 Sep 2019 06:45:46 +1000")
Message-ID: <87zhj5ycy6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Cambell Barton <ideasman42@HIDDEN> writes: > I'm not sure
 what the best solution is here, it's just I had something > that worked and
 now I can't get emacs27 to work usefully in the same > way. Yes, we'll fix
 it so that the regression you're seeing goes away, but we're just discussing
 whether it's possible to do so without reverting the change that fixed another
 bug. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37257
Cc: 37257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Cambell Barton <ideasman42@HIDDEN> writes:

> I'm not sure what the best solution is here, it's just I had something
> that worked and now I can't get emacs27 to work usefully in the same
> way.

Yes, we'll fix it so that the regression you're seeing goes away, but
we're just discussing whether it's possible to do so without reverting
the change that fixed another bug.

I think it's unlikely that it's possible, so I've reverted the change,
which should make things work again for you.  Can you check?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37257; Package emacs. Full text available.

Message received at 37257 <at> debbugs.gnu.org:


Received: (at 37257) by debbugs.gnu.org; 14 Sep 2019 20:45:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 16:45:59 2019
Received: from localhost ([127.0.0.1]:47192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9Evf-0002uc-6M
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 16:45:59 -0400
Received: from mail-pg1-f193.google.com ([209.85.215.193]:43621)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ideasman42@HIDDEN>) id 1i9Evc-0002uG-U3
 for 37257 <at> debbugs.gnu.org; Sat, 14 Sep 2019 16:45:57 -0400
Received: by mail-pg1-f193.google.com with SMTP id u72so17066744pgb.10
 for <37257 <at> debbugs.gnu.org>; Sat, 14 Sep 2019 13:45:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:cc:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language;
 bh=Vk+BTFOBaPsGi7gWdfgsuEV2o3du8VZ+lgfjZIFkX0Q=;
 b=SpDWyyfoUX7eJZB9c3YDSDkXrCAVayP1yPul1g2/j8kQPOh0ElWY2rzEWYidcJ0pzd
 /DG4UQrZW/TZdK4Ye2Ak4oepr2tQO1AAM01rvzzPNTft//QnVqoCK+sOKjuUqz/jj0ZM
 XOJu/3jt5sc+0LVNJLjIH+gRMRD0Vl7MCygZf3p/9buqT73xqsrPH5stgpL0tYGGI4Tn
 I6+KRfzGZnVorQGxVJk6M65DTwma5l0+V8xJmph8hf5lbQoT7nyJnH9NC7JCEk+ausTf
 uUApyuPph/orumY2OfEKF7FE3hDi8IdDZSz70Bpez9J079wP8Zu12l3xSzGJymycTZU2
 eIqw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language;
 bh=Vk+BTFOBaPsGi7gWdfgsuEV2o3du8VZ+lgfjZIFkX0Q=;
 b=sxeOBwLzYvNECIDjjjiZy2ZgSg9HvWBpYbWnUL9cMGsv6ovL7gx0/vv6FfucEw6xjY
 BKkDRCoefyYpdP0ut0e7j0BlijGqsSyee+FrO1oTjPQEenBXGHbo4Cs6fBGTwiJDZYJE
 Q3wkQ2PZJGLoGJmC3Wb+0aWPoZ75X6mDG5rHYQHIfCbJjnaKstjx2+RTv3sadhWrI0l/
 HZRS1BIQkqKD0tT51dpUNUVLrLl1N/kj2eIpkRkLm29nOWp3JwTgRzQIXQA+HBr7xw+V
 FBsVyo4tHMzDpOmkuabtdUYnBSsMSCQvxEJAUTmK8q6OPC0/wylrCJWaB4mxeIkKLZoS
 f/MQ==
X-Gm-Message-State: APjAAAXcTacqcpv5A6C3E66T2JN8n5z8l48pbKyURD9zxDXjGjycfEPw
 71LsY3Q8UMSTxeVoXA43+gUVrtWOE/k=
X-Google-Smtp-Source: APXvYqxJzKnfyE3DiP9Cnj3h9zQQo0T+ahl7LZ2KDnXhNKv9fj5G2q/Gfpwtks9ecj/MmObLj8xymg==
X-Received: by 2002:a65:4002:: with SMTP id f2mr3866259pgp.447.1568493950745; 
 Sat, 14 Sep 2019 13:45:50 -0700 (PDT)
Received: from [10.1.1.180] (ppp118-209-104-247.bras1.mel11.internode.on.net.
 [118.209.104.247])
 by smtp.gmail.com with ESMTPSA id ep17sm2009063pjb.26.2019.09.14.13.45.48
 for <37257 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 14 Sep 2019 13:45:49 -0700 (PDT)
Subject: Re: bug#37257: failure of emacsclient ... --alternate-editor="emacs
 --eval"
References: <CAEcf3Nz+bG44sbtTWZ1ZfxyqX+GzjyAsLYzyQzWij+_JuZ157Q@HIDDEN>
 <42d7bbd5-cde9-e4ca-07f2-486eaff18dbc@HIDDEN> <87impv845y.fsf@HIDDEN>
 <7de06494-7d7f-26b4-f7e7-b061d80241e5@HIDDEN> <87ftky62hy.fsf@HIDDEN>
From: Cambell Barton <ideasman42@HIDDEN>
Message-ID: <bdf01ce8-669b-7026-3cf7-b03772b3d6c0@HIDDEN>
Date: Sun, 15 Sep 2019 06:45:46 +1000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.1.0
MIME-Version: 1.0
In-Reply-To: <87ftky62hy.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------59708D50CC0E6F1F631A0562"
Content-Language: en-US
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2019-09-15 06:34, Lars Ingebrigtsen wrote: > , I guess
 we should just revert the patch -- I don't see any obvious > way to determine
 whether --alternate-editor is Emacs (which will then > understan [...] 
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (ideasman42[at]gmail.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (ideasman42[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.2 MISSING_HEADERS        Missing To: header
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.193 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.193 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.0 MALFORMED_FREEMAIL     Bad headers on message from free email
 service
X-Debbugs-Envelope-To: 37257
Cc: 37257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2019-09-15 06:34, Lars Ingebrigtsen wrote: > , I guess
   we should just revert the patch -- I don't see any obvious > way to determine
    whether --alternate-editor is Emacs (which will then > understan [...] 
 
 Content analysis details:   (1.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.215.193 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.193 listed in wl.mailspike.net]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (ideasman42[at]gmail.com)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (ideasman42[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.2 MISSING_HEADERS        Missing To: header
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 MALFORMED_FREEMAIL     Bad headers on message from free email
                             service

This is a multi-part message in MIME format.
--------------59708D50CC0E6F1F631A0562
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 2019-09-15 06:34, Lars Ingebrigtsen wrote:
> , I guess we should just revert the patch -- I don't see any obvious
> way to determine whether --alternate-editor is Emacs (which will then
> understand the rest of the parameters) or something else (which will
> then not).  So leaving it the way it was is best.

I'm not sure what the best solution is here, it's just I had something 
that worked and now I can't get emacs27 to work usefully in the same way.

It should be possible to run the code in the client or a new instance, 
but I didn't manage to get this working.

CODE='(progn (message "HELLO WOLD"))'
emacsclient --eval "$CODE" --alternate-editor  "emacs --eval '$CODE'"

Instead of starting a new emacs and printing HELLO WOLD,
it reports:

emacsclient: error executing alternate editor "emacs --eval '(progn 
(message "HELLO WORLD"))'"

--------------59708D50CC0E6F1F631A0562
Content-Type: application/x-shellscript;
 name="emacsclient_or_emacs_with_file.sh"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="emacsclient_or_emacs_with_file.sh"

IyEvYmluL2Jhc2gKCkZJTEU9JHsxOi11bnRpdGxlZC50eHR9CkxJTkU9JHsyOi0xfQpDT0w9
JHszOi0wfQoKQ09ERT0iXAoocHJvZ24gXAogIChmaW5kLWZpbGUgXCIkRklMRVwiKSBcCiAg
KGdvdG8tbGluZSAkTElORSkgXAogIChiYWNrLXRvLWluZGVudGF0aW9uKSBcCiAgKGZvcndh
cmQtY2hhciAkQ09MKSBcCiAgKHJlY2VudGVyKSBcCiAgXCJcIikgXAopIgoKZWNobyAiJEZJ
TEUiCmVtYWNzY2xpZW50IC0tZXZhbCAiJENPREUiIC0tYWx0ZXJuYXRlLWVkaXRvciAgImVt
YWNzIC0tZXZhbCAnJENPREUnIgo=
--------------59708D50CC0E6F1F631A0562--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37257; Package emacs. Full text available.

Message received at 37257 <at> debbugs.gnu.org:


Received: (at 37257) by debbugs.gnu.org; 14 Sep 2019 20:34:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 16:34:41 2019
Received: from localhost ([127.0.0.1]:47188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9Ekj-0002ZP-2y
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 16:34:41 -0400
Received: from quimby.gnus.org ([80.91.231.51]:42806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i9Ekh-0002ZE-1U
 for 37257 <at> debbugs.gnu.org; Sat, 14 Sep 2019 16:34:40 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i9Ekc-0005WX-Bk; Sat, 14 Sep 2019 22:34:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#37257: failure of emacsclient ... --alternate-editor="emacs
 --eval"
References: <CAEcf3Nz+bG44sbtTWZ1ZfxyqX+GzjyAsLYzyQzWij+_JuZ157Q@HIDDEN>
 <42d7bbd5-cde9-e4ca-07f2-486eaff18dbc@HIDDEN>
 <87impv845y.fsf@HIDDEN>
 <7de06494-7d7f-26b4-f7e7-b061d80241e5@HIDDEN>
Date: Sat, 14 Sep 2019 22:34:33 +0200
In-Reply-To: <7de06494-7d7f-26b4-f7e7-b061d80241e5@HIDDEN> (Paul Eggert's
 message of "Sat, 14 Sep 2019 11:01:16 -0700")
Message-ID: <87ftky62hy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Paul Eggert <eggert@HIDDEN> writes: > On 9/14/19 5:15
 AM, Lars Ingebrigtsen wrote: >> I guess just reverting the change in question
 would fix this >> regressions, but this is a rather strange use case. What's
 the point of >> specifying [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37257
Cc: Campbell Barton <ideasman42@HIDDEN>, 37257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

> On 9/14/19 5:15 AM, Lars Ingebrigtsen wrote:
>> I guess just reverting the change in question would fix this
>> regressions, but this is a rather strange use case.  What's the point of
>> specifying Emacs as the alternate editor?
>
> Presumably, because someone mistakenly started emacsclient even though
> no Emacs server is running.

Oh, right.  Yes, that seems like a useful use case.

Hm, I guess we should just revert the patch -- I don't see any obvious
way to determine whether --alternate-editor is Emacs (which will then
understand the rest of the parameters) or something else (which will
then not).  So leaving it the way it was is best.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37257; Package emacs. Full text available.

Message received at 37257 <at> debbugs.gnu.org:


Received: (at 37257) by debbugs.gnu.org; 14 Sep 2019 18:01:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 14:01:27 2019
Received: from localhost ([127.0.0.1]:47132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9CMQ-00048m-Ly
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 14:01:26 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:41778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i9CMM-00048P-UA
 for 37257 <at> debbugs.gnu.org; Sat, 14 Sep 2019 14:01:24 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 89A9B1600C2;
 Sat, 14 Sep 2019 11:01:17 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id rsy_fe5jw4G6; Sat, 14 Sep 2019 11:01:16 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 7447D1600F1;
 Sat, 14 Sep 2019 11:01:16 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id cU8ScF4NoTzP; Sat, 14 Sep 2019 11:01:16 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 450D11600C2;
 Sat, 14 Sep 2019 11:01:16 -0700 (PDT)
Subject: Re: bug#37257: failure of emacsclient ... --alternate-editor="emacs
 --eval"
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAEcf3Nz+bG44sbtTWZ1ZfxyqX+GzjyAsLYzyQzWij+_JuZ157Q@HIDDEN>
 <42d7bbd5-cde9-e4ca-07f2-486eaff18dbc@HIDDEN> <87impv845y.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <7de06494-7d7f-26b4-f7e7-b061d80241e5@HIDDEN>
Date: Sat, 14 Sep 2019 11:01:16 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87impv845y.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37257
Cc: Campbell Barton <ideasman42@HIDDEN>, 37257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 9/14/19 5:15 AM, Lars Ingebrigtsen wrote:
> I guess just reverting the change in question would fix this
> regressions, but this is a rather strange use case.  What's the point of
> specifying Emacs as the alternate editor?

Presumably, because someone mistakenly started emacsclient even though no Emacs 
server is running.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37257; Package emacs. Full text available.

Message received at 37257 <at> debbugs.gnu.org:


Received: (at 37257) by debbugs.gnu.org; 14 Sep 2019 12:15:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 08:15:50 2019
Received: from localhost ([127.0.0.1]:45964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i96xy-0001Iy-7o
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 08:15:50 -0400
Received: from quimby.gnus.org ([80.91.231.51]:33216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i96xw-0001In-7X
 for 37257 <at> debbugs.gnu.org; Sat, 14 Sep 2019 08:15:48 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i96xm-0007wR-Bo; Sat, 14 Sep 2019 14:15:42 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#37257: failure of emacsclient ... --alternate-editor="emacs
 --eval"
References: <CAEcf3Nz+bG44sbtTWZ1ZfxyqX+GzjyAsLYzyQzWij+_JuZ157Q@HIDDEN>
 <42d7bbd5-cde9-e4ca-07f2-486eaff18dbc@HIDDEN>
Date: Sat, 14 Sep 2019 14:15:37 +0200
In-Reply-To: <42d7bbd5-cde9-e4ca-07f2-486eaff18dbc@HIDDEN> (Paul Eggert's
 message of "Thu, 5 Sep 2019 14:52:51 -0700")
Message-ID: <87impv845y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Paul Eggert <eggert@HIDDEN> writes: > Lars, the commit
 in question is the following, so could you please > look into Bug#37257?
 Thanks. > > commit 6fe661342a24edcaea255c3ba9a37613031554da > Author: Lars
 Ingebrigtsen <larsi@HIDDEN> > D [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37257
Cc: Campbell Barton <ideasman42@HIDDEN>, 37257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

> Lars, the commit in question is the following, so could you please
> look into Bug#37257? Thanks.
>
> commit 6fe661342a24edcaea255c3ba9a37613031554da
> Author: Lars Ingebrigtsen <larsi@HIDDEN>
> Date:   Thu Jun 27 20:59:50 2019 +0200
>
>     emacsclient: ignore --eval parameters when starting alternate editor
>
>     * lib-src/emacsclient.c (fail): If the user said --eval, don't
>     pass those arguments to the alternate editor as file names.
>     Suggested by a patch from Scott Turner (bug#11474).

The test case here is:

emacsclient --eval '(progn (find-file "some_file.txt") (goto-line 1)
(back-to-indentation) (recenter) "")' --no-wait
--alternate-editor="emacs --eval"

So the alternate editor is Emacs itself.

Hm.  I guess just reverting the change in question would fix this
regressions, but this is a rather strange use case.  What's the point of
specifying Emacs as the alternate editor?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37257; Package emacs. Full text available.

Message received at 37257 <at> debbugs.gnu.org:


Received: (at 37257) by debbugs.gnu.org; 5 Sep 2019 21:53:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 05 17:53:01 2019
Received: from localhost ([127.0.0.1]:36204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i5zgb-0002ZW-0E
	for submit <at> debbugs.gnu.org; Thu, 05 Sep 2019 17:53:01 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:33486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i5zgZ-0002ZG-8v
 for 37257 <at> debbugs.gnu.org; Thu, 05 Sep 2019 17:53:00 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id CDC1B160172;
 Thu,  5 Sep 2019 14:52:52 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id vOUTTZmYUlGF; Thu,  5 Sep 2019 14:52:52 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 2FB1416019B;
 Thu,  5 Sep 2019 14:52:52 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id r-BJBi4E2qIx; Thu,  5 Sep 2019 14:52:52 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 131A0160172;
 Thu,  5 Sep 2019 14:52:52 -0700 (PDT)
To: Lars Ingebrigtsen <larsi@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: Bug#37257: failure of emacsclient ... --alternate-editor="emacs
 --eval"
Openpgp: preference=signencrypt
Autocrypt: addr=eggert@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBEyAcmQBEADAAyH2xoTu7ppG5D3a8FMZEon74dCvc4+q1XA2J2tBy2pwaTqfhpxxdGA9
 Jj50UJ3PD4bSUEgN8tLZ0san47l5XTAFLi2456ciSl5m8sKaHlGdt9XmAAtmXqeZVIYX/UFS
 96fDzf4xhEmm/y7LbYEPQdUdxu47xA5KhTYp5bltF3WYDz1Ygd7gx07Auwp7iw7eNvnoDTAl
 KAl8KYDZzbDNCQGEbpY3efZIvPdeI+FWQN4W+kghy+P6au6PrIIhYraeua7XDdb2LS1en3Ss
 mE3QjqfRqI/A2ue8JMwsvXe/WK38Ezs6x74iTaqI3AFH6ilAhDqpMnd/msSESNFt76DiO1ZK
 QMr9amVPknjfPmJISqdhgB1DlEdw34sROf6V8mZw0xfqT6PKE46LcFefzs0kbg4GORf8vjG2
 Sf1tk5eU8MBiyN/bZ03bKNjNYMpODDQQwuP84kYLkX2wBxxMAhBxwbDVZudzxDZJ1C2VXujC
 OJVxq2kljBM9ETYuUGqd75AW2LXrLw6+MuIsHFAYAgRr7+KcwDgBAfwhPBYX34nSSiHlmLC+
 KaHLeCLF5ZI2vKm3HEeCTtlOg7xZEONgwzL+fdKo+D6SoC8RRxJKs8a3sVfI4t6CnrQzvJbB
 n6gxdgCu5i29J1QCYrCYvql2UyFPAK+do99/1jOXT4m2836j1wARAQABzSBQYXVsIEVnZ2Vy
 dCA8ZWdnZXJ0QGNzLnVjbGEuZWR1PsLBfgQTAQIAKAUCTIByZAIbAwUJEswDAAYLCQgHAwIG
 FQgCCQoLBBYCAwECHgECF4AACgkQ7ZfpDmKqfjRRGw/+Ij03dhYfYl/gXVRiuzV1gGrbHk+t
 nfrI/C7fAeoFzQ5tVgVinShaPkZo0HTPf18x6IDEdAiO8Mqo1yp0CtHmzGMCJ50o4Grgfjlr
 6g/+vtEOKbhleszN2XpJvpwM2QgGvn/laTLUu8PH9aRWTs7qJJZKKKAb4sxYc92FehPu6FOD
 0dDiyhlDAq4lOV2mdBpzQbiojoZzQLMQwjpgCTK2572eK9EOEQySUThXrSIz6ASenp4NYTFH
 s9tuJQvXk9gZDdPSl3bp+47dGxlxEWLpBIM7zIONw4ks4azgT8nvDZxA5IZHtvqBlJLBObYY
 0Le61Wp0y3TlBDh2qdK8eYL426W4scEMSuig5gb8OAtQiBW6k2sGUxxeiv8ovWu8YAZgKJfu
 oWI+uRnMEddruY8JsoM54KaKvZikkKs2bg1ndtLVzHpJ6qFZC7QVjeHUh6/BmgvdjWPZYFTt
 N+KA9CWX3GQKKgN3uu988yznD7LnB98T4EUH1HA/GnfBqMV1gpzTvPc4qVQinCmIkEFp83zl
 +G5fCjJJ3W7ivzCnYo4KhKLpFUm97okTKR2LW3xZzEW4cLSWO387MTK3CzDOx5qe6s4a91Zu
 ZM/j/TQdTLDaqNn83kA4Hq48UHXYxcIh+Nd8k/3w6lFuoK0wrOFiywjLx+0ur5jmmbecBGHc
 1xdhAFHOwU0ETIByZAEQAKaF678T9wyH4wjTrV1Pz3cDEoSnV/0ZUrOT37p1dcGyj/IXq1x6
 70HRVahAmk0sZpYc25PF9D5GPYHFWlNjuPU96rDndXB3hedmBRhLdC4bAXjI4DV+bmdVe+q/
 IMnlZRaVlm9EiMCVAR6w13sReu7qXkW9r3RwY2AzXskp/tAe4BRKr1Zmbvi2nbnQ6epEC42r
 Rbx0B1EhjbIQZ5JHGk24iPT7LdBgnNmos5wYjzwNlkMQD5T0Ydzhk7J+UxwA5m46mOhRDC2r
 FV/A0gm5TLy8DXjv/Esc4gYnYai6SQqnUEVh5LuV8YCJBnijs+Tiw71x1icmn6xGI45EugJO
 gec+rLypYgpVp4x0HI5T88qBRYCkxH3Kg8Qo+EWNA9A4LRQ9DX8njona0gf0s03tocK8kBN6
 6UoqqPtHBnc4eMgBymCflK12eKfd2YYxnyg9cZazWA5VslvTxpm76hbg5oiAEH/Vg/8MxHyA
 nPhfrgwyPrmJEcVBafdspJnYQxBYNco2LFPIhlOvWh8r4at+s+M3Lb26oUTczlgdW1Sf3SDA
 77BMRnF0FQyE+7AzV79MBN4ykiqaezQxtaF1Fy/tvkhffSo8u+dwG0EgJh+te38gTcISVr0G
 IPplLz6YhjrbHrPRF1CN5UuL9DBGjxuN35RLNVEfta6RUFlR6NctTjvrABEBAAHCwWUEGAEC
 AA8FAkyAcmQCGwwFCRLMAwAACgkQ7ZfpDmKqfjSrHA/+KzAKvTxRhA9MWNLxIyJ7S5uJ16gs
 T3oCjZrBKGEhKMOGX4O0GA6VOEryO7QRCCYah3oxSG38IAnNeiwJXgU9Bzkk85UGbPEd7HGF
 /VSeHCQwWou6jqUDTSDvn9YhNTdG0KXPM74aC+xr2Zow1O2mhXihgWKD0Dw+0LYPnUOsQ0KO
 FxHXXYHmRrS1OZPU59BLvc+TRhIhafSHKLwbXK+6ckkxBx6h8z5ccpG0Qs4bFhdFYnFrEieD
 LoGmnE2YLhdV6swJ9VNCS6pLiEohT3fm7aXm15tZOIyzMZhHRSAPblXxQ0ZSWjq8oRrcYNFx
 c4W1URpAkBCOYJoXvQfD5L3lqAl8TCqDUzYxhH/tJhbDdHrqHH767jaDaTB1+Talp/2AMKwc
 XNOdiklGxbmHVG6YGl6g8Lrbsu9NZEI4yLlHzuikthJWgz+3vZhVGyNlt+HNIoF6CjDL2omu
 5cEq4RDHM44QqPk6l7O0pUvN1mT4B+S1b08RKpqm/ff015E37HNV/piIvJlxGAYz8PSfuGCB
 1thMYqlmgdhd9/BabGFbGGYHA6U4/T5zqU+f6xHy1SsAQZ1MSKlLwekBIT+4/cLRGqCHjnV0
 q5H/T6a7t5mPkbzSrOLSo4puj+IToNjYyYIDBWzhlA19avOa+rvUjmHtD3sFN7cXWtkGoi8b
 uNcby4U=
Organization: UCLA Computer Science Department
Message-ID: <42d7bbd5-cde9-e4ca-07f2-486eaff18dbc@HIDDEN>
Date: Thu, 5 Sep 2019 14:52:51 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 37257
Cc: Campbell Barton <ideasman42@HIDDEN>, 37257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

Lars, the commit in question is the following, so could you please look 
into Bug#37257? Thanks.

commit 6fe661342a24edcaea255c3ba9a37613031554da
Author: Lars Ingebrigtsen <larsi@HIDDEN>
Date:   Thu Jun 27 20:59:50 2019 +0200

     emacsclient: ignore --eval parameters when starting alternate editor

     * lib-src/emacsclient.c (fail): If the user said --eval, don't
     pass those arguments to the alternate editor as file names.
     Suggested by a patch from Scott Turner (bug#11474).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37257; Package emacs. Full text available.
Changed bug title to 'failure of emacsclient ... --alternate-editor="emacs --eval"' from '27.0.50;' Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Sep 2019 16:22:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 01 12:22:09 2019
Received: from localhost ([127.0.0.1]:57110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4ScC-0002EX-Ts
	for submit <at> debbugs.gnu.org; Sun, 01 Sep 2019 12:22:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:58403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ideasman42@HIDDEN>) id 1i4ScA-0002EO-S1
 for submit <at> debbugs.gnu.org; Sun, 01 Sep 2019 12:22:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55028)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ideasman42@HIDDEN>) id 1i4Sc9-0003Ux-CR
 for bug-gnu-emacs@HIDDEN; Sun, 01 Sep 2019 12:22:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ideasman42@HIDDEN>) id 1i4Sc7-0001Ds-TU
 for bug-gnu-emacs@HIDDEN; Sun, 01 Sep 2019 12:22:05 -0400
Received: from mail-qt1-x836.google.com ([2607:f8b0:4864:20::836]:46757)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ideasman42@HIDDEN>)
 id 1i4Sc7-0001CW-Po
 for bug-gnu-emacs@HIDDEN; Sun, 01 Sep 2019 12:22:03 -0400
Received: by mail-qt1-x836.google.com with SMTP id j15so13109415qtl.13
 for <bug-gnu-emacs@HIDDEN>; Sun, 01 Sep 2019 09:22:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=I4wl3Gw0gwbO3klx/4o2YJvdMmhOhcGn8/OJQRSDScE=;
 b=hED0yxhCE7W1SoN2kZwBIWeSA4gWdyPvUhfEMt8gQ5AQ59VKssjxZbgZNlwpz8MHsG
 QnNfkY6VKkgg2nF2dl7h6s/hn0rxdrqtHCnjk+CMbcss+JFFBpemwXXwH2kAv3h1FrZN
 n/744FjSY2QK8+snghtOZ9dgZfSrAYeQRJk828duzgyhlm/eRd94VpCE+XuUUYlnZ3go
 dPUhTx11gRmgIWD5EuH9k/9VtQh6xg5QIKkEnz6dMgJBpgnX2au+mHh7HyDKpwhZMW7w
 w91++zvZuQRelYWmALyrAMsi4L7RzOmRugpBtkSFRE3XJVbQgehz9R+dlnOZrWZD1Yh3
 9n6Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=I4wl3Gw0gwbO3klx/4o2YJvdMmhOhcGn8/OJQRSDScE=;
 b=ai2vL8eVqrk9wPNkNHdnNghjmxi5oftr6HCWqu+wKCZZenyQ3JhO2dKWgTgfW9fJC3
 TchuKBfSOUy1i9UgPdmDtBS/asUO8A9M7Coe+SlaTEqpsXVu9s8bPU5X4GnauEnBOYqK
 bslqL1jbkjsKwTKcRyjVZ+Mzy1Q6rr1LRypTd1EUBSInrOv3EP33UkZ7uXTQK195i16O
 C94qD5O2lXSNX8iczkosZsmL07GNBBsBrrf8Bu4OaM+1FfwN5R7Wm8jrSo4ABzt6s4Et
 7kfvasYBdtPgIFDLyXukxak3+Bk7KFaMHB6Eb+w2sEJJBGWTdUvOeQEe3Zruz1QbtHzr
 i6bQ==
X-Gm-Message-State: APjAAAXlWlbvsWNxABfqsRmTL3FultBBRsofc1r1DcajfG4WGM7HO1zz
 qD6A7MQXX9M5uynCmCbHYBzEIJ/Iw17FzVlentWFFLfwaF8=
X-Google-Smtp-Source: APXvYqwb761hBH9nzS0BcrulRdRtZ2O/cwnM+WtNujS/pblPwOXnQmiVB+jrhqZyyN+/NhmIVaN3ShZWBGaBMC8EpnI=
X-Received: by 2002:ad4:5572:: with SMTP id w18mr5679227qvy.220.1567354922234; 
 Sun, 01 Sep 2019 09:22:02 -0700 (PDT)
MIME-Version: 1.0
From: Campbell Barton <ideasman42@HIDDEN>
Date: Mon, 2 Sep 2019 02:21:51 +1000
Message-ID: <CAEcf3Nz+bG44sbtTWZ1ZfxyqX+GzjyAsLYzyQzWij+_JuZ157Q@HIDDEN>
Subject: 27.0.50;
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::836
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Running emacsclient with alternate editor no longer works as it did.

This command for example:

emacsclient --eval '(progn (find-file "some_file.txt") (goto-line 1)
(back-to-indentation) (recenter) "")' --no-wait
--alternate-editor="emacs --eval"

Works in 26.3 - running the command in an existing emacs instance.

In 27.0.50 it reports that "emacs --eval" fails.

The issue can be traced back to this change:
6fe661342a24edcaea255c3ba9a37613031554da

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.10)
 of 2019-09-02 built on austpc
Repository revision: a7d47e64aaf438feaa8cbe4d40acb7bae0eab059
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description: Arch Linux

Recent messages:
~/.emacs.d/local
Loading /home/ideasman42/.emacs.d/custom.el (source)...done
Loading server...done

Configured using:
 'configure --prefix=/opt/emacs --with-sound=no --disable-acl
 --with-file-notification=no --without-xpm --without-jpeg --without-tiff
 --without-gif --without-png --without-rsvg --without-lcms2
 --without-libsystemd --without-gsettings --without-harfbuzz
 --without-m17n-flt --without-libotf --without-gpm --without-dbus
 --without-gsettings --without-gconf --without-selinux --without-gnutls
 --without-zlib --without-makeinfo --without-libgmp --with-zlib
 --with-compress-install --with-threads --with-x
 --without-toolkit-scroll-bars --with-x-toolkit=gtk3 --with-xft
 --with-modules 'CFLAGS=-O2 -mtune=native -march=native -pipe
 -fomit-frame-pointer''

Configured features:
GLIB LIBXML2 FREETYPE XFT ZLIB GTK3 X11 XDBE XIM MODULES THREADS JSON
PDUMPER

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  value of $LANG: C
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  display-fill-column-indicator-mode: t
  wcheck-mode: t
  visual-indentation-mode: t
  highlight-numbers-mode: t
  evil-leader-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  default-text-scale-mode: t
  global-git-gutter-mode: t
  show-paren-mode: t
  savehist-mode: t
  override-global-mode: t
  tooltip-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml
mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils counsel xdg xref project dired
dired-loaddefs compile swiper ivy delsel colir color ivy-overlay
noutline outline display-fill-column-indicator wcheck-mode whitespace
visual-indentation-mode highlight-numbers parent-mode server pcase
evil-leader evil-surround evil evil-keybindings evil-integration
undo-tree diff evil-maps evil-commands reveal flyspell ispell evil-jumps
evil-command-window evil-types evil-search evil-ex shell pcomplete
comint ansi-color evil-macros evil-repeat evil-states evil-core
evil-common windmove thingatpt rect evil-digraphs evil-vars ring edmacro
kmacro default-text-scale git-gutter advice paren savehist cl-extra
help-mode use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key easy-mmode
use-package-core finder-inf info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dynamic-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 267406 41968)
 (symbols 48 20005 1)
 (strings 32 83891 4273)
 (string-bytes 1 2328543)
 (vectors 16 28486)
 (vector-slots 8 348941 13344)
 (floats 8 205 265)
 (intervals 56 406 0)
 (buffers 992 12))




Acknowledgement sent to Campbell Barton <ideasman42@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37257; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 16 Sep 2019 12:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.